########### AGGREGATED COMPONENTS AND DEPENDENCIES FOR THE MULTI CONFIG #####################
#############################################################################################

list(APPEND fmt_COMPONENT_NAMES fmt::fmt)
list(REMOVE_DUPLICATES fmt_COMPONENT_NAMES)
if(DEFINED fmt_FIND_DEPENDENCY_NAMES)
  list(APPEND fmt_FIND_DEPENDENCY_NAMES )
  list(REMOVE_DUPLICATES fmt_FIND_DEPENDENCY_NAMES)
else()
  set(fmt_FIND_DEPENDENCY_NAMES )
endif()

########### VARIABLES #######################################################################
#############################################################################################
set(fmt_PACKAGE_FOLDER_NONE "/home/erris/.conan2/p/b/fmt5642fd8dce3e5/p")
set(fmt_BUILD_MODULES_PATHS_NONE )


set(fmt_INCLUDE_DIRS_NONE "${fmt_PACKAGE_FOLDER_NONE}/include")
set(fmt_RES_DIRS_NONE )
set(fmt_DEFINITIONS_NONE )
set(fmt_SHARED_LINK_FLAGS_NONE )
set(fmt_EXE_LINK_FLAGS_NONE )
set(fmt_OBJECTS_NONE )
set(fmt_COMPILE_DEFINITIONS_NONE )
set(fmt_COMPILE_OPTIONS_C_NONE )
set(fmt_COMPILE_OPTIONS_CXX_NONE )
set(fmt_LIB_DIRS_NONE "${fmt_PACKAGE_FOLDER_NONE}/lib")
set(fmt_BIN_DIRS_NONE )
set(fmt_LIBRARY_TYPE_NONE STATIC)
set(fmt_IS_HOST_WINDOWS_NONE 0)
set(fmt_LIBS_NONE fmt)
set(fmt_SYSTEM_LIBS_NONE m)
set(fmt_FRAMEWORK_DIRS_NONE )
set(fmt_FRAMEWORKS_NONE )
set(fmt_BUILD_DIRS_NONE )
set(fmt_NO_SONAME_MODE_NONE FALSE)


# COMPOUND VARIABLES
set(fmt_COMPILE_OPTIONS_NONE
    "$<$<COMPILE_LANGUAGE:CXX>:${fmt_COMPILE_OPTIONS_CXX_NONE}>"
    "$<$<COMPILE_LANGUAGE:C>:${fmt_COMPILE_OPTIONS_C_NONE}>")
set(fmt_LINKER_FLAGS_NONE
    "$<$<STREQUAL:$<TARGET_PROPERTY:TYPE>,SHARED_LIBRARY>:${fmt_SHARED_LINK_FLAGS_NONE}>"
    "$<$<STREQUAL:$<TARGET_PROPERTY:TYPE>,MODULE_LIBRARY>:${fmt_SHARED_LINK_FLAGS_NONE}>"
    "$<$<STREQUAL:$<TARGET_PROPERTY:TYPE>,EXECUTABLE>:${fmt_EXE_LINK_FLAGS_NONE}>")


set(fmt_COMPONENTS_NONE fmt::fmt)
########### COMPONENT fmt::fmt VARIABLES ############################################

set(fmt_fmt_fmt_INCLUDE_DIRS_NONE "${fmt_PACKAGE_FOLDER_NONE}/include")
set(fmt_fmt_fmt_LIB_DIRS_NONE "${fmt_PACKAGE_FOLDER_NONE}/lib")
set(fmt_fmt_fmt_BIN_DIRS_NONE )
set(fmt_fmt_fmt_LIBRARY_TYPE_NONE STATIC)
set(fmt_fmt_fmt_IS_HOST_WINDOWS_NONE 0)
set(fmt_fmt_fmt_RES_DIRS_NONE )
set(fmt_fmt_fmt_DEFINITIONS_NONE )
set(fmt_fmt_fmt_OBJECTS_NONE )
set(fmt_fmt_fmt_COMPILE_DEFINITIONS_NONE )
set(fmt_fmt_fmt_COMPILE_OPTIONS_C_NONE "")
set(fmt_fmt_fmt_COMPILE_OPTIONS_CXX_NONE "")
set(fmt_fmt_fmt_LIBS_NONE fmt)
set(fmt_fmt_fmt_SYSTEM_LIBS_NONE m)
set(fmt_fmt_fmt_FRAMEWORK_DIRS_NONE )
set(fmt_fmt_fmt_FRAMEWORKS_NONE )
set(fmt_fmt_fmt_DEPENDENCIES_NONE )
set(fmt_fmt_fmt_SHARED_LINK_FLAGS_NONE )
set(fmt_fmt_fmt_EXE_LINK_FLAGS_NONE )
set(fmt_fmt_fmt_NO_SONAME_MODE_NONE FALSE)

# COMPOUND VARIABLES
set(fmt_fmt_fmt_LINKER_FLAGS_NONE
        $<$<STREQUAL:$<TARGET_PROPERTY:TYPE>,SHARED_LIBRARY>:${fmt_fmt_fmt_SHARED_LINK_FLAGS_NONE}>
        $<$<STREQUAL:$<TARGET_PROPERTY:TYPE>,MODULE_LIBRARY>:${fmt_fmt_fmt_SHARED_LINK_FLAGS_NONE}>
        $<$<STREQUAL:$<TARGET_PROPERTY:TYPE>,EXECUTABLE>:${fmt_fmt_fmt_EXE_LINK_FLAGS_NONE}>
)
set(fmt_fmt_fmt_COMPILE_OPTIONS_NONE
    "$<$<COMPILE_LANGUAGE:CXX>:${fmt_fmt_fmt_COMPILE_OPTIONS_CXX_NONE}>"
    "$<$<COMPILE_LANGUAGE:C>:${fmt_fmt_fmt_COMPILE_OPTIONS_C_NONE}>")